=== packages/invirt-console-host/debian/changelog ===
invirt-console-host (0.0.10) unstable; urgency=low

  * Clean up the old sudoers block in the postinst before we add it back

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 08:13:32 -0500

invirt-console-host (0.0.9) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:03 -0500

invirt-console-host (0.0.8) unstable; urgency=low

  * Specify a full path to invoke-rc.d for when this gets run as a cron
    job

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 18:57:02 -0500

invirt-console-host (0.0.7) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:29:20 -0400

invirt-console-host (0.0.6) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:12 -0400

invirt-console-host (0.0.5) unstable; urgency=low

  * invirt-console-host doesn't use the database anymore, so don't connect
    to it

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:09:03 -0400

invirt-console-host (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:46:46 -0400

invirt-console-host (0.0.3) unstable; urgency=low

  * make initscript even shorter, with code now provided by sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:07:46 -0400

invirt-console-host (0.0.2) unstable; urgency=low

  * make initscript start conserver on start/restart, not just reload
  * drastically shorten initscript to current Invirt best practice,
    in hopes that such dumb bugs can't hide so easily

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 03:33:32 -0400

invirt-console-host (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt
  * -server -> -host while we're at it

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 01:23:56 -0400

sipb-xen-console-server (2.8) unstable; urgency=low

  * Create a dummy console entry that exists by default so that conserver
    won't quit if no consoles are defined.

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 03:10:28 -0400

sipb-xen-console-server (2.7) unstable; urgency=low

  * Don't run conserver as root; use sudo instead

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 02:38:46 -0400

sipb-xen-console-server (2.06.3) unstable; urgency=low

  * Running conserver as root so it can run xm console

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:42:26 -0400

sipb-xen-console-server (2.06.2) unstable; urgency=low

  * No really - correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:39:09 -0400

sipb-xen-console-server (2.06.1) unstable; urgency=low

  * Correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:34:25 -0400

sipb-xen-console-server (2.06) unstable; urgency=low

  * generate config files using mako

 -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:15:18 -0400

sipb-xen-console-server (2.05) unstable; urgency=low

  * use invirt.config rather than /etc/invirt/* directly
  * get console-server hostname, db connection string from config
  * generate conserver config piece needing console-server ip
  * remove console 's_sipb-xen-dev', which doesn't work anyway
  * all configured!

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 18:58:59 -0400

sipb-xen-console-server (2.04) unstable; urgency=low

  * Get Kerberos realm from config rather than hardcoding.
  * Don't hardcode host's hostname in conserver.cf.
  * Update for current config-package-dev.

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 01:32:04 -0400

sipb-xen-console-server (2.03) unstable; urgency=low

  * Multiplex consoles on multiple hosts.

 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:35:17 -0400

sipb-xen-console-server (2.02) unstable; urgency=low

  * And...xm isn't in the path, so give a full path

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:48:53 -0400

sipb-xen-console-server (2.01) unstable; urgency=low

  * update-conserver script should reload, not restart

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:43:12 -0400

sipb-xen-console-server (2) unstable; urgency=low

  * Use a python based update-conserver script that gets the list of
    consoles from xm list
  * Run the update-conserver script every 5 minutes to catch VMs that
    are not started or stopped through the remctl interface

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:32:58 -0400

sipb-xen-console-server (1.0.2) unstable; urgency=low

  * Also...make this package actually do something

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:41:32 -0400

sipb-xen-console-server (1.0.1) unstable; urgency=low

  * Misnamed a file

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:36:29 -0400

sipb-xen-console-server (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Wed,  2 Apr 2008 00:27:12 -0400
