=== packages/invirt-web/debian/changelog ===
invirt-web (0.0.14) unstable; urgency=low

  * Depend on invirt-web-iptables

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:12:45 -0500

invirt-web (0.0.13) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:12 -0500

invirt-web (0.0.12) unstable; urgency=low

  * Whoops - forgot to drop an option to k5start

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:59:31 -0500

invirt-web (0.0.11) unstable; urgency=low

  * Use daemon/$HOSTNAME for the svn repository instead of the first
    principal in the keytab

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:56:36 -0500

invirt-web (0.0.10) unstable; urgency=low

  * Make /etc/apache2/sites-available/default a mako template
  * Fix a mistyped variable

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:27:56 -0500

invirt-web (0.0.9) unstable; urgency=low

  * Move trac off-site - redirect somewhere else

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:12:57 -0500

invirt-web (0.0.8) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:50:00 -0500

invirt-web (0.0.7) unstable; urgency=low

  * Query against the local nameserver to be sure there's no caching of
    deleted hosts
  * Depend on invirt-dns to be sure that a nameserver is running locally
  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:37 -0500

invirt-web (0.0.6) unstable; urgency=low

  * The web server needs a working AFS; make sure OpenAFS modules are
    installed

 -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:40:51 -0500

invirt-web (0.0.5) unstable; urgency=low

  * Add new dependency on python-dns

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 22:57:41 -0400

invirt-web (0.0.4) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:35 -0400

invirt-web (0.0.3) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:28:51 -0400

invirt-web (0.0.2) unstable; urgency=low

  * /sipb-xen -> /invirt in apt repo URI

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 04:56:21 -0400

invirt-web (0.0.1) unstable; urgency=low

  * sipb-xen-www -> invirt-web

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:09:29 -0400

sipb-xen-www (3.18) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:09 -0400

sipb-xen-www (3.17) unstable; urgency=low

  [ Quentin Smith ]
  * Add Kerberos-authenticated web interface on port 442

  [ Evan Broder ]
  * Add config-package-dev to the build dependencies

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 15:32:34 -0400

sipb-xen-www (3.16) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base
  * Fix comment copy-paste error in initscript, now that it's mostly comments

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:19:13 -0400

sipb-xen-www (3.15) unstable; urgency=low

  * Use /etc/invirt/keytab instead of a separate keytab for apache

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 19:56:04 -0400

sipb-xen-www (3.14.4) unstable; urgency=low

  * allow '*' wildcard in config.errormail_exclude

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:32:42 -0700

sipb-xen-www (3.14.3) unstable; urgency=low

  * Actually stop Apache on shutdown

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:24:40 -0400

sipb-xen-www (3.14.2) unstable; urgency=low

  * Be a good debian package and undo what you did on uninstall

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:06:30 -0400

sipb-xen-www (3.14.1) unstable; urgency=low

  * Try again, now that I actually understand what the problem is

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:58:46 -0400

sipb-xen-www (3.14) unstable; urgency=low

  * Try to fix startup ordering problem by specifying that the new startup
    script depends on $remote_fs

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:32:14 -0400

sipb-xen-www (3.13.1) unstable; urgency=low

  * Don't add another Listen 443 directive - apache gets angry
  * And this, kids, is why you should always test your code before
    committing

 -- Evan broder <broder@mit.edu>  Fri, 03 Oct 2008 22:01:22 -0400

sipb-xen-www (3.13) unstable; urgency=low

  * Make sure we're listening on all the necessary ports

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:40:47 -0400

sipb-xen-www (3.12) unstable; urgency=low

  * invirt-confiscate the SVN checkout

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:01:33 -0400

sipb-xen-www (3.11) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:48:37 -0400

sipb-xen-www (3.10) hardy; urgency=low

  * depend on debathena-afs-config and python-flup

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 05:58:01 +0000

sipb-xen-www (3.9) unstable; urgency=low

  * further integration of invirt.config

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:39:15 -0400

sipb-xen-www (3.8) unstable; urgency=low

  * sipb_xen_database -> invirt.database in cache_acls.py

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:45:19 -0400

sipb-xen-www (3.7) unstable; urgency=low

  uncommitted changes in /etc/apache2 on xvm.mit.edu:
  * rewrite static/ uris for admin mode
  * allow ~ uris

  * take instance from keytab in k5start apache2.init wrapper

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 01:22:47 -0400

sipb-xen-www (3.6) unstable; urgency=low

  * Add Anders' kstart-using apache2 init script.
  * Add some dependencies the svn site needs.
  * Use daemon/xvm-2.mit.edu for svn site, as it's on xvm-2 now

 -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 20:23:50 -0400

sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.


