=== packages/xvm-mail-config/debian/changelog ===
xvm-mail-config (0.0.7) unstable; urgency=low

  * Stop trying to stuff site-specific config into the invirt namespace

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:18:51 -0500

xvm-mail-config (0.0.6) unstable; urgency=low

  * Apparently mail processing scripts don't run with a useful path set

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:29:55 -0500

xvm-mail-config (0.0.5) unstable; urgency=low

  * Call the relay script by the correct name

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:23:53 -0500

xvm-mail-config (0.0.4) unstable; urgency=low

  * Fix the aliases file so it actually works

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 16:30:29 -0500

xvm-mail-config (0.0.3) unstable; urgency=low

  * Fix a typo in the aliases file

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:36:34 -0500

xvm-mail-config (0.0.2) unstable; urgency=low

  * Restart postfix after configuring it

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:04:29 -0500

xvm-mail-config (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 20:09:50 -0500
